Package org.eclipse.m2m.atl.emftvm.util

## Class EnumConversionList

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyList<java.lang.Object>
    - - org.eclipse.m2m.atl.emftvm.util.EnumConversionList

All Implemented Interfaces:
  `java.lang.Iterable<java.lang.Object>`, `java.util.Collection<java.lang.Object>`, `java.util.List<java.lang.Object>`, `org.eclipse.emf.common.util.EList<java.lang.Object>`

Direct Known Subclasses:
  `EnumConversionListOnList`

    public class EnumConversionList
    extends LazyList<java.lang.Object>

Converts `Enumerator`s to `EnumLiteral`s.

### Nested Class Summary

Nested Classes
`class` `EnumConversionList.EnumConversionIterator` `Iterator` for `EnumConversionList`.

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`LazyList.AppendList<E>, LazyList.CollectList<E>, LazyList.InsertAtList<E>, LazyList.IntegerRangeList, LazyList.LongRangeList, LazyList.NonCachingList<E>, LazyList.PrependList<E>, LazyList.ReverseList<E>, LazyList.SubList<E>, LazyList.UnionList<E>, LazyList.UnionListIterator`

### Nested classes/interfaces inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`LazyCollection.AppendIterator, LazyCollection.CachingIterator, LazyCollection.CachingSetIterator, LazyCollection.CollectIterator<T>, LazyCollection.ExcludingIterator, LazyCollection.FilterIterator, LazyCollection.FlattenIterator, LazyCollection.FlattenSetIterator, LazyCollection.IntegerRangeListIterator, LazyCollection.IntersectionIterator, LazyCollection.IteratorToListIterator, LazyCollection.LongRangeListIterator, LazyCollection.ReadOnlyIterator<E>, LazyCollection.ReadOnlyListIterator<E>, LazyCollection.RejectIterator, LazyCollection.ReverseIterator, LazyCollection.ReverseListIterator, LazyCollection.SelectIterator, LazyCollection.SubListIterator, LazyCollection.SubListListIterator, LazyCollection.SubtractionIterator, LazyCollection.UnionIterator, LazyCollection.UnionSetIterator, LazyCollection.WrappedIterator, LazyCollection.WrappedListIterator`

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`cache, dataSource, occurrences`

### Constructor Summary

Constructors
`EnumConversionList​(java.util.Collection<java.lang.Object> dataSource)` Creates a new `EnumConversionList` around `dataSource`.

### Method Summary

All Methods Instance Methods Concrete Methods
`EnumConversionList` `cache()` Forces cache completion.
`protected java.lang.Object` `convert​(java.lang.Object object)` Performs the element conversion.
`protected void` `createCache()` Creates the cache collections.
`java.util.Iterator<java.lang.Object>` `iterator()`
`int` `size()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyList

`add, addAll, append, asSequence, asString, at, collect, equals, excluding, excludingAll, first, flatten, get, hashCode, including, including, includingAll, includingAll, includingRange, indexOf, indexOf2, insertAt, last, lastIndexOf, lastIndexOf2, listIterator, listIterator, move, move, prepend, reject, remove, reverse, select, set, sortedBy, subList, subSequence, union, union`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection

`add, addAll, any, appendElements, asBag, asOrderedSet, asSet, clear, contains, containsAll, containsAny, count, excludes, excludesAll, exists, exists2, forAll, forAll2, includes, includesAll, isEmpty, isUnique, iterate, mappedBy, mappedBySingle, max, min, notEmpty, one, product, remove, removeAll, retainAll, sum, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, addAll, clear, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator, toArray, toArray`

### Constructor Detail

#### EnumConversionList

    public EnumConversionList​(java.util.Collection<java.lang.Object> dataSource)

Creates a new `EnumConversionList` around `dataSource`.

Parameters:
  `dataSource` - the collection to wrap

### Method Detail

#### convert

    protected final java.lang.Object convert​(java.lang.Object object)

Performs the element conversion.

Parameters:
  `object` - the object to convert
Returns:
  the converted object

#### iterator

    public java.util.Iterator<java.lang.Object> iterator()

Specified by:
  `iterator` in interface `java.util.Collection<java.lang.Object>`
Specified by:
  `iterator` in interface `java.lang.Iterable<java.lang.Object>`
Specified by:
  `iterator` in interface `java.util.List<java.lang.Object>`
Overrides:
  `iterator` in class `LazyCollection<java.lang.Object>`

#### size

    public int size()

Specified by:
  `size` in interface `java.util.Collection<java.lang.Object>`
Specified by:
  `size` in interface `java.util.List<java.lang.Object>`
Overrides:
  `size` in class `LazyCollection<java.lang.Object>`

#### cache

    public EnumConversionList cache()

Forces cache completion.

Returns:
  this list

#### createCache

    protected void createCache()

Creates the cache collections.

Overrides:
  `createCache` in class `LazyList<java.lang.Object>`